org.apache.hadoop.yarn.server.api.impl.pb.client

## Class CollectorNodemanagerProtocolPBClientImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.impl.pb.client.CollectorNodemanagerProtocolPBClientImpl

- All Implemented Interfaces:
    Closeable, AutoCloseable, CollectorNodemanagerProtocol

      public class CollectorNodemanagerProtocolPBClientImpl
      extends Object
      implements CollectorNodemanagerProtocol, Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectorNodemanagerProtocolPBClientImpl(long clientVersion, InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `GetTimelineCollectorContextResponse` | `getTimelineCollectorContext(GetTimelineCollectorContextRequest request)` The collector needs to get the context information including user, flow and flow run ID to associate with every incoming put-entity requests.
    `ReportNewCollectorInfoResponse` | `reportNewCollectorInfo(ReportNewCollectorInfoRequest request)` The `TimelineCollectorManager` provides a list of mapping between application and collector's address in `ReportNewCollectorInfoRequest` to a `NodeManager` to register collector's info, include: applicationId and REST URI to access collector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectorNodemanagerProtocolPBClientImpl

          @InterfaceAudience.Private
          public CollectorNodemanagerProtocolPBClientImpl(long clientVersion,
                                                                                     InetSocketAddress addr,
                                                                                     org.apache.hadoop.conf.Configuration conf)
                                                                              throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### reportNewCollectorInfo

          public ReportNewCollectorInfoResponse reportNewCollectorInfo(ReportNewCollectorInfoRequest request)
                                                                throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                       IOException

      Description copied from interface: `CollectorNodemanagerProtocol`

      The `TimelineCollectorManager` provides a list of mapping between application and collector's address in `ReportNewCollectorInfoRequest` to a `NodeManager` to register collector's info, include: applicationId and REST URI to access collector. NodeManager will add them into registered collectors and register them into `ResourceManager` afterwards.

      Specified by:
        `reportNewCollectorInfo` in interface `CollectorNodemanagerProtocol`
      Parameters:
        `request` - the request of registering a new collector or a list of collectors
      Returns:
        the response for registering the new collector
      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException` - if the request is invalid
        `IOException` - if there are I/O errors

    - #### getTimelineCollectorContext

          public GetTimelineCollectorContextResponse getTimelineCollectorContext(GetTimelineCollectorContextRequest request)
                                                                          throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                                 IOException

      Description copied from interface: `CollectorNodemanagerProtocol`

      The collector needs to get the context information including user, flow and flow run ID to associate with every incoming put-entity requests.

      Specified by:
        `getTimelineCollectorContext` in interface `CollectorNodemanagerProtocol`
      Parameters:
        `request` - the request of getting the aggregator context information of the given application
      Returns:
        the response for registering the new collector
      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException` - if the request is invalid
        `IOException` - if there are I/O errors

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.